' ----------------------------------------------------------------------------------------
'
' DreiPunkt.VBS                                                     Ulrich Mller 28.02.03
'                                                                   PSC1700            VBS
' fischertechnik hobby 4 Band 5 : DreiPunkt-Regelung
' Erforderlich : FishFa30.DLL (wird mit vbFish30Setup.EXE installiert)
'
' Motor           an M2
' Lampe           an M1
' Photowiderstand an EX
' Ende            ESC-Taste
'
' ----------------------------------------------------------------------------------------

Option Explicit

Const mMotor = 2, mLampe = 1, aPhoto = 0, eEnde = 1
Const ftiEin = 1, ftiAus = 0, ftiLinks = 1, ftiRechts = 2
Dim ft, Sollwert, Analogwert

Set ft = CreateObject("FishFa30.FishFace")
ft.OpenInterface "COM1", True
MsgBox "Modellbetrieb gestartet (Ende ESC)"
      
ft.SetMotor mLampe, ftiEin
Sollwert = 800
Do
  Analogwert = ft.GetAnalog(aPhoto)
  If Analogwert < Sollwert * 0.97 Then 
     ft.SetMotor mMotor, ftiLinks
  ElseIf Analogwert < Sollwert * 1.03 Then
    ft.SetMotor mMotor, ftiAus
  Else
    ft.SetMotor mMotor, ftiRechts
  End If
Loop Until ft.Finish
  
ft.CloseInterface
MsgBox "Modellbetrieb beendet"
