program DreiPunkt;
// --- DrreiPunkt.DPR : fischertechnik hobby 4 Band 5 : Dreipunkt-Regelung
//                                                       Ulrich Mller 28.2.03
//                                                       PCS1700       Delphi4
//     Erforderlich : FishFa30.PAS (in delphiFish30Setup.EXE)
//
//     Achtung : in Men Projekt | Optionen | Linker |
//               TextBildschirmanwendung markieren
//
// Motor           an M2
// Lampe           an M1
// Photowiderstand an EX
// Ende            ESC-Taste

uses FishFa30;
const
  mMotor = 2; mLampe = 1; aPhoto = 0;
var
  ft: TFishFace; Sollwert, Analogwert: LongInt;
begin
  ft := TFishFace.Create(true,     // --- MIT AnalogScan
                         false);   //     kein Slave
  try
    ft.OpenInterface('COM1');
  except
    on e: EFishFace do begin
      WriteLn('DreiPunkt : InterfaceProblem'); ReadLn; exit;
      end;
  end;
  WriteLn('DreiPunkt gestartet, Ende : ESC-Taste');
  ft.SetMotor(mLampe, ftiEin);
  Sollwert := 800;
  repeat
    Analogwert := ft.GetAnalog(aPhoto);
    if Analogwert < Sollwert * 0.97 then ft.SetMotor(mMotor, ftiLinks)
    else if Analogwert < Sollwert * 1.03 then ft.SetMotor(mMotor, ftiAus)
    else ft.SetMotor(mMotor, ftiRechts);
  until ft.Finish;               // --- Programmende : Escape-Taste
  ft.CloseInterface;
  ft.Free;
  WriteLn('DreiPunkt beendet'); ReadLn;
end.
